Skip to content

getSalesInvoice

READ

Get sales invoice.

POST /api/v1/invoicing/getSalesInvoice
curl -X POST '<your-host>/api/v1/invoicing/getSalesInvoice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesInvoiceId": "string"
  }'
Response
{
  "assignee": "string",
  "balance": 0,
  "baseStatus": "Pending",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "currencyCode": "string",
  "customerId": "string",
  "customerReference": "string",
  "customFields": "…",
  "dateDue": "string",
  "dateIssued": "string",
  "datePaid": "string",
  "exchangeRate": 0,
  "exchangeRateUpdatedAt": "string",
  "externalNotes": "…",
  "id": "string",
  "internalNotes": "…",
  "invoiceCustomerContactId": "string",
  "invoiceCustomerId": "string",
  "invoiceCustomerLocationId": "string",
  "invoiceId": "string",
  "invoiceTotal": 0,
  "itemType": "Part",
  "lines": [
    "…"
  ],
  "locationId": "string",
  "opportunityId": "string",
  "paymentTermId": "string",
  "paymentTermName": "string",
  "postingDate": "string",
  "shipmentId": "string",
  "status": "string",
  "subtotal": 0,
  "tags": [
    "string"
  ],
  "thumbnailPath": "string",
  "totalAmount": 0,
  "totalDiscount": 0,
  "totalTax": 0,
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "salesInvoiceId": {
      "type": "string"
    }
  },
  "required": [
    "salesInvoiceId"
  ]
}